scala.tools.cmd.gen

# Codegen

#### class Codegen extends CodegenSpec with Instance

Linear Supertypes
Instance, CodegenSpec, Interpolation, StdOpts, Spec, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Codegen
2. Instance
3. CodegenSpec
4. Interpolation
5. StdOpts
6. Spec
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Codegen(args: List[String])

### Type Members

1. #### type OptionMagic = Opt.Instance

   Definition Classes
     Instance → Spec

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Codegen to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (Codegen, B)

   Implicit information
     This member is added by an implicit conversion from Codegen to ArrowAssoc[Codegen] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### object Bash extends Opt

   I think we're as close as we can get to bundling completion with the program given the constraints imposed by bash.

9. #### object SelfUpdate extends Opt

   Generates a very basic runner script.

10. #### val anyvals: Boolean

    Definition Classes
      CodegenSpec

11. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### def ensuring(cond: (Codegen) ⇒ Boolean, msg: ⇒ Any): Codegen

    Implicit information
      This member is added by an implicit conversion from Codegen to Ensuring[Codegen] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: (Codegen) ⇒ Boolean): Codegen

    Implicit information
      This member is added by an implicit conversion from Codegen to Ensuring[Codegen] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean, msg: ⇒ Any): Codegen

    Implicit information
      This member is added by an implicit conversion from Codegen to Ensuring[Codegen] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean): Codegen

    Implicit information
      This member is added by an implicit conversion from Codegen to Ensuring[Codegen] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Codegen to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

21. #### val genall: Boolean

    Definition Classes
      CodegenSpec

22. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### def heading(str: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Spec

25. #### def help(str: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Instance → Spec

26. #### object interpolate

    Definition Classes
      Interpolation

27. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

28. #### def isSet(s: String): Boolean

    Definition Classes
      Instance

29. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### final def notify(): Unit

    Definition Classes
      AnyRef

31. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

32. #### implicit def optionMagicAdditions(name: String): Opt.Instance

    Attributes
      protected
    Definition Classes
      Instance → Spec

33. #### def originalArgs: List[String]

    Definition Classes
      Instance

34. #### val outDir: Option[Directory]

    Definition Classes
      CodegenSpec

35. #### val parsed: ThisCommandLine

    Definition Classes
      Codegen → Instance

36. #### val products: Boolean

    Definition Classes
      CodegenSpec

37. #### def programInfo: Info

    Definition Classes
      CodegenSpec → Spec

38. #### def referenceSpec: CodegenSpec.type

    Definition Classes
      CodegenSpec → Spec

39. #### def residualArgs: collection.immutable.List[String]

    Definition Classes
      Instance

40. #### val selfUpdateName: Option[String]

    Definition Classes
      StdOpts

41. #### val stamp: Boolean

    Definition Classes
      CodegenSpec

42. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

43. #### def toString(): String

    Definition Classes
      AnyRef → Any

44. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### def →[B](y: B): (Codegen, B)

    Implicit information
      This member is added by an implicit conversion from Codegen to ArrowAssoc[Codegen] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Codegen to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (codegen: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Codegen to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (codegen: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: Codegen

   Implicit information
     This member is added by an implicit conversion from Codegen to ArrowAssoc[Codegen] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (codegen: ArrowAssoc[Codegen]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: Codegen

   Implicit information
     This member is added by an implicit conversion from Codegen to Ensuring[Codegen] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (codegen: Ensuring[Codegen]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Instance

### Inherited from CodegenSpec

### Inherited from Interpolation

### Inherited from StdOpts

### Inherited from Spec

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Codegen to StringAdd

### Inherited by implicit conversion any2stringfmt from Codegen to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from Codegen to ArrowAssoc[Codegen]

### Inherited by implicit conversion any2Ensuring from Codegen to Ensuring[Codegen]

### Ungrouped